# Crow: crow::detail::context< Middlewares > Struct Template Reference

crow::detail::context< Middlewares > Struct Template Reference
Inheritance diagram for crow::detail::context< Middlewares >:

## Public Types

template<int N>
using | partial = typename partial_context< Middlewares... >::template partial< N >

## Public Member Functions

template<typename T >
T::context & | get ()

## Friends

template<typename CallCriteria , int N, typename Context , typename Container >
std::enable_if<(N==0)>::type | after_handlers_call_helper (const CallCriteria &cc, Container &middlewares, Context &ctx, request &req, response &res)
template<typename CallCriteria , int N, typename Context , typename Container >
std::enable_if<(N > 0)>::type | after_handlers_call_helper (const CallCriteria &cc, Container &middlewares, Context &ctx, request &req, response &res)
template<typename CallCriteria , int N, typename Context , typename Container >
std::enable_if<(N< std::tuple_size< typename std::remove_reference< Container >::type >::value), bool >::type | middleware_call_helper (const CallCriteria &cc, Container &middlewares, request &req, response &res, Context &ctx)

The documentation for this struct was generated from the following file:

- include/crow/middleware_context.h